%define name gretl
%define version 0.61
%define release 1mdk

Version: %{version}
Summary: Econometric analysis
Name: %{name}
Release: %{release}
Copyright: GPL
Group: Sciences/Other
Source: %{name}-%{version}.tar.bz2
URL: http://www.ecn.wfu.edu/gretl/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Is a software package for econometric analysis, written in the 
C programming language. 

Is free software. You may redistribute it and/or modify it under
the terms of the GNU General Public License (GPL) as published by the
Free Software Foundation. 

Comprises a shared library, a command-line client program, and a
graphical client built using GTK+. The library and command-line 
client should compile and run on any platform that supports ANSI C;
the command-line client uses the GNU readline library if available.
The graphical client should compile and run on any platform that in
addition offers GTK+ version 1.2.3 or higher.

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build

%configure

%make

%make doc

%install

%makeinstall


(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gretl"\
title="Gretl"\
longtitle="Econometric analysis"\
needs="x11"\
section="Applications/Sciences/Mathematics"
EOF
)
 
%post
%update_menus
/sbin/ldconfig
 
%postun
%clean_menus
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README COPYING INSTALL ChangeLog EXTENDING TAGS
%doc doc/gretl-logo.png  doc/gretl.sty  doc/manual.out  
%doc doc/manual.pdf doc/manual.tex doc/myheads.tex doc/nist.tex
%{_bindir}/*
%{_includedir}/*
%{_libdir}/lib*
%{_datadir}/%{name}/
%{_menudir}/*


%changelog
* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.61-1mdk
- updated to 0.61

* Mon Nov 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.32-1mdk
- new in contribs
- add menu entry
